> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /experimental/marketing-solutions/marketplace-performance-outcomes/stats/report

> Generates a seller performance report synchronously and returns the report data directly in the response payload.



## OpenAPI

````yaml https://api.criteo.com/experimental/marketingsolutions/open-api-specifications.json post /experimental/marketing-solutions/marketplace-performance-outcomes/stats/report
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - MarketingSolutions
  version: Experimental
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Advertiser
  - name: Analytics
  - name: Audience
  - name: Campaign
  - name: Catalog
  - name: Creative
  - name: Gateway
  - name: OnSiteRecommendation
  - name: Reco
paths:
  /experimental/marketing-solutions/marketplace-performance-outcomes/stats/report:
    post:
      tags:
        - Campaign
      summary: >-
        /experimental/marketing-solutions/marketplace-performance-outcomes/stats/report
      description: >-
        Generates a seller performance report synchronously and returns the
        report data directly in the response payload.
      operationId: CreateMarketplaceStatsReport
      requestBody:
        description: The seller report filters, dimensions, metrics, and output format.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SellerReportRequestRequest'
        required: true
        x-bodyName: request
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SellerReportDataResponse'
            text/csv:
              schema:
                $ref: '#/components/schemas/SellerReportDataResponse'
      security:
        - oauth:
            - MarketingSolutions_Campaign_Read
components:
  schemas:
    SellerReportRequestRequest:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/SellerReportRequestResource'
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value.
    SellerReportDataResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/SellerReportDataResource'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          readOnly: true
        warnings:
          type: array
          items:
            $ref: '#/components/schemas/CommonProblem'
          readOnly: true
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        value.
      x-readonly-warnings: true
      x-readonly-errors: true
    SellerReportRequestResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/SellerReportRequest'
        type:
          type: string
      description: >-
        A top-level object that encapsulates a Criteo API request for a single
        value.
    SellerReportDataResource:
      type: object
      properties:
        attributes:
          $ref: '#/components/schemas/SellerReportData'
        type:
          type: string
      description: >-
        A top-level object that encapsulates a Criteo API response for a single
        value.
    CommonProblem:
      type: object
      properties:
        code:
          type: string
          description: A machine-readable error code, expressed as a string value.
          nullable: true
        detail:
          type: string
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem
          nullable: true
        instance:
          type: string
          description: A URI that identifies the specific occurrence of the problem.
          nullable: true
        source:
          type: object
          additionalProperties:
            type: string
          description: >-
            A machine-readable structure to reference to the exact location(s)
            causing the error(s)
          nullable: true
        stackTrace:
          type: string
          nullable: true
        title:
          type: string
          description: A short human-readable description of the problem type
          nullable: true
        traceId:
          type: string
          description: The request correlation ID this problem comes from.
          nullable: true
        traceIdentifier:
          type: string
          description: >-
            The request correlation ID this problem comes from. (deprecated, use
            traceId instead)
          nullable: true
        type:
          enum:
            - unknown
            - access-control
            - authentication
            - authorization
            - availability
            - deprecation
            - quota
            - validation
          type: string
          description: The problem's category.
          nullable: true
      description: Common problem object.
    SellerReportRequest:
      required:
        - advertiserId
        - dimensions
        - endDate
        - metrics
        - startDate
      type: object
      properties:
        adSetIds:
          maxItems: 10
          type: array
          items:
            type: string
          description: "Restricts the report to the specified ad sets. If omitted, all ad sets in scope are included.\r\nUp to 10 ad set identifiers can be supplied."
        advertiserId:
          type: string
          description: Identifier of the advertiser for which the report is generated.
        campaignIds:
          maxItems: 10
          type: array
          items:
            type: string
          description: "Restricts the report to the specified marketing campaigns. If omitted, all campaigns in scope are included.\r\nUp to 10 campaign identifiers can be supplied."
        dimensions:
          minItems: 1
          type: array
          items:
            enum:
              - campaignId
              - adSetId
              - sellerId
              - hour
              - day
              - month
              - year
            type: string
            format: string
          description: >-
            Dimensions used to group the report. At least one dimension is
            required.
        endDate:
          type: string
          description: Inclusive end date of the reporting period, formatted as yyyy-MM-dd.
          format: date
        format:
          enum:
            - json
            - csv
          type: string
          description: Output format. Defaults to JSON.
          format: string
          default: json
        metrics:
          minItems: 1
          type: array
          items:
            enum:
              - impressions
              - clicks
              - cost
              - sellerVisits
              - sellerUniqueUsers
              - saleUnitsPc1dSameSeller
              - saleUnitsPc1dAnySeller
              - saleUnitsPc7dSameSeller
              - saleUnitsPc7dAnySeller
              - saleUnitsPc30dSameSeller
              - saleUnitsPc30dAnySeller
              - saleUnitsPc1dPv1dSameSeller
              - saleUnitsPc1dPv1dAnySeller
              - saleUnitsPc1dPv7dSameSeller
              - saleUnitsPc1dPv7dAnySeller
              - saleUnitsPc7dPv1dSameSeller
              - saleUnitsPc7dPv1dAnySeller
              - saleUnitsPc7dPv7dSameSeller
              - saleUnitsPc7dPv7dAnySeller
              - saleUnitsPc30dPv1dSameSeller
              - saleUnitsPc30dPv1dAnySeller
              - saleUnitsPc30dPv7dSameSeller
              - saleUnitsPc30dPv7dAnySeller
              - revenuePc1dSameSeller
              - revenuePc1dAnySeller
              - revenuePc7dSameSeller
              - revenuePc7dAnySeller
              - revenuePc30dSameSeller
              - revenuePc30dAnySeller
              - revenuePc1dPv1dSameSeller
              - revenuePc1dPv1dAnySeller
              - revenuePc1dPv7dSameSeller
              - revenuePc1dPv7dAnySeller
              - revenuePc7dPv1dSameSeller
              - revenuePc7dPv1dAnySeller
              - revenuePc7dPv7dSameSeller
              - revenuePc7dPv7dAnySeller
              - revenuePc30dPv1dSameSeller
              - revenuePc30dPv1dAnySeller
              - revenuePc30dPv7dSameSeller
              - revenuePc30dPv7dAnySeller
              - crPc1dSameSeller
              - crPc1dAnySeller
              - crPc7dSameSeller
              - crPc7dAnySeller
              - crPc30dSameSeller
              - crPc30dAnySeller
              - crPc1dPv1dSameSeller
              - crPc1dPv1dAnySeller
              - crPc1dPv7dSameSeller
              - crPc1dPv7dAnySeller
              - crPc7dPv1dSameSeller
              - crPc7dPv1dAnySeller
              - crPc7dPv7dSameSeller
              - crPc7dPv7dAnySeller
              - crPc30dPv1dSameSeller
              - crPc30dPv1dAnySeller
              - crPc30dPv7dSameSeller
              - crPc30dPv7dAnySeller
              - cpoPc1dSameSeller
              - cpoPc1dAnySeller
              - cpoPc7dSameSeller
              - cpoPc7dAnySeller
              - cpoPc30dSameSeller
              - cpoPc30dAnySeller
              - cpoPc1dPv1dSameSeller
              - cpoPc1dPv1dAnySeller
              - cpoPc1dPv7dSameSeller
              - cpoPc1dPv7dAnySeller
              - cpoPc7dPv1dSameSeller
              - cpoPc7dPv1dAnySeller
              - cpoPc7dPv7dSameSeller
              - cpoPc7dPv7dAnySeller
              - cpoPc30dPv1dSameSeller
              - cpoPc30dPv1dAnySeller
              - cpoPc30dPv7dSameSeller
              - cpoPc30dPv7dAnySeller
              - cosPc1dSameSeller
              - cosPc1dAnySeller
              - cosPc7dSameSeller
              - cosPc7dAnySeller
              - cosPc30dSameSeller
              - cosPc30dAnySeller
              - cosPc1dPv1dSameSeller
              - cosPc1dPv1dAnySeller
              - cosPc1dPv7dSameSeller
              - cosPc1dPv7dAnySeller
              - cosPc7dPv1dSameSeller
              - cosPc7dPv1dAnySeller
              - cosPc7dPv7dSameSeller
              - cosPc7dPv7dAnySeller
              - cosPc30dPv1dSameSeller
              - cosPc30dPv1dAnySeller
              - cosPc30dPv7dSameSeller
              - cosPc30dPv7dAnySeller
              - roasPc1dSameSeller
              - roasPc1dAnySeller
              - roasPc7dSameSeller
              - roasPc7dAnySeller
              - roasPc30dSameSeller
              - roasPc30dAnySeller
              - roasPc1dPv1dSameSeller
              - roasPc1dPv1dAnySeller
              - roasPc1dPv7dSameSeller
              - roasPc1dPv7dAnySeller
              - roasPc7dPv1dSameSeller
              - roasPc7dPv1dAnySeller
              - roasPc7dPv7dSameSeller
              - roasPc7dPv7dAnySeller
              - roasPc30dPv1dSameSeller
              - roasPc30dPv1dAnySeller
              - roasPc30dPv7dSameSeller
              - roasPc30dPv7dAnySeller
            type: string
            format: string
          description: >-
            Metrics returned for each dimension combination. At least one metric
            is required.
        sellerIds:
          maxItems: 10
          type: array
          items:
            type: string
          description: "Restricts the report to the specified sellers. If omitted, all sellers in scope are included.\r\nUp to 10 seller identifiers can be supplied."
        startDate:
          type: string
          description: >-
            Inclusive start date of the reporting period, formatted as
            yyyy-MM-dd.
          format: date
        timezone:
          type: string
          description: IANA time zone used for time-based aggregation. Defaults to UTC.
          default: UTC
      description: >-
        Filters and options used to generate a synchronous seller performance
        report.
    SellerReportData:
      type: object
      properties:
        columns:
          type: array
          items:
            type: string
          description: Column names
        data:
          type: array
          items:
            type: array
            items: {}
          description: Report data
        rows:
          type: integer
          description: Number of rows reported
          format: int32
      description: The generated seller performance report.
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes:
            MarketingSolutions_Analytics_Read: >-
              Grants Read access to the capabilities from the Analytics domain,
              for MarketingSolutions applications
            MarketingSolutions_Audience_Manage: >-
              Grants Manage access to the capabilities from the Audience domain,
              for MarketingSolutions applications
            MarketingSolutions_Audience_Read: >-
              Grants Read access to the capabilities from the Audience domain,
              for MarketingSolutions applications
            MarketingSolutions_Campaign_Manage: >-
              Grants Manage access to the capabilities from the Campaign domain,
              for MarketingSolutions applications
            MarketingSolutions_Campaign_Read: >-
              Grants Read access to the capabilities from the Campaign domain,
              for MarketingSolutions applications
            MarketingSolutions_Catalog_Manage: >-
              Grants Manage access to the capabilities from the Catalog domain,
              for MarketingSolutions applications
            MarketingSolutions_Catalog_Read: >-
              Grants Read access to the capabilities from the Catalog domain,
              for MarketingSolutions applications
            MarketingSolutions_Creative_Manage: >-
              Grants Manage access to the capabilities from the Creative domain,
              for MarketingSolutions applications
            MarketingSolutions_Creative_Read: >-
              Grants Read access to the capabilities from the Creative domain,
              for MarketingSolutions applications
            MarketingSolutions_OnSiteRecommendation_Read: >-
              Grants Read access to the capabilities from the
              OnSiteRecommendation domain, for MarketingSolutions applications
            MarketingSolutions_Reco_Manage: >-
              Grants Manage access to the capabilities from the Reco domain, for
              MarketingSolutions applications
            MarketingSolutions_Reco_Read: >-
              Grants Read access to the capabilities from the Reco domain, for
              MarketingSolutions applications
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes:
            MarketingSolutions_Analytics_Read: >-
              Grants Read access to the capabilities from the Analytics domain,
              for MarketingSolutions applications
            MarketingSolutions_Audience_Manage: >-
              Grants Manage access to the capabilities from the Audience domain,
              for MarketingSolutions applications
            MarketingSolutions_Audience_Read: >-
              Grants Read access to the capabilities from the Audience domain,
              for MarketingSolutions applications
            MarketingSolutions_Campaign_Manage: >-
              Grants Manage access to the capabilities from the Campaign domain,
              for MarketingSolutions applications
            MarketingSolutions_Campaign_Read: >-
              Grants Read access to the capabilities from the Campaign domain,
              for MarketingSolutions applications
            MarketingSolutions_Catalog_Manage: >-
              Grants Manage access to the capabilities from the Catalog domain,
              for MarketingSolutions applications
            MarketingSolutions_Catalog_Read: >-
              Grants Read access to the capabilities from the Catalog domain,
              for MarketingSolutions applications
            MarketingSolutions_Creative_Manage: >-
              Grants Manage access to the capabilities from the Creative domain,
              for MarketingSolutions applications
            MarketingSolutions_Creative_Read: >-
              Grants Read access to the capabilities from the Creative domain,
              for MarketingSolutions applications
            MarketingSolutions_OnSiteRecommendation_Read: >-
              Grants Read access to the capabilities from the
              OnSiteRecommendation domain, for MarketingSolutions applications
            MarketingSolutions_Reco_Manage: >-
              Grants Manage access to the capabilities from the Reco domain, for
              MarketingSolutions applications
            MarketingSolutions_Reco_Read: >-
              Grants Read access to the capabilities from the Reco domain, for
              MarketingSolutions applications

````